<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.order.mapper.OrderViolationMapper">
    <select id="getOrderAndVehicleStatus" parameterType="Integer" resultType="Map">
      select
     b.status,
     b.refund_status as refundStatus
     from
     order_rent_vehicle_detail v
     left join
		 base_order b
     on
     v.order_id=b.id
     where
     v.id=#{vId}
    </select>

    <select id="getOneByDetailId" resultType="com.xxfc.platform.order.entity.OrderViolation" parameterType="java.lang.Integer">
        select * from order_violation
        where detail_id = #{detailId}
    </select>
</mapper>